"Communication error between PC and P-touch" error occurs when printing with QL-500/550. What can I do? (QL-500/550)

This error occurs when you use a version of PS-9000 which is not compatible with the QL-500/550.
Check if the version of PS-9000 is compatible to the QL-500/550 by following the method below.

[Check Method]

 

  1. Check PS-9000 package to see if QL-500/550 is on the list of applicable type or not.

    Image

  2. Check the label on the back of PS-9000 to see if "V001" or "R002" is written or not.

    Image

  3. Check the version of PS-9000 with WEB browser.
    If the version number is earlier than Ver.1.2.0, then it is not compatible.

    Image

[Solution :
If the version of PS-9000 shows it is not compatible with QL-500/550]


A firmware update is necessary to make PS-9000 compatible with the QL-500/550.
Download the file from the Download page, then update the PS-9000 by following the Manual/readme.

 

If your question was not answered, have you checked other FAQs?

Have you checked manuals?

If you need further assistance, please contact Brother customer service:

Related Models

PS-9000, PS-9000

Content Feedback

To help us improve our support, please provide your feedback below.

Step 1: How does the information on this page help you?

Step 2: €Are there any comments you would like to add?

Please note this form is used for feedback only.